## openttd 1.0.0

=== debian/changelog ===
openttd (1.0.0-2) unstable; urgency=low

  * [07bda20] Fix Replaces clause of openttd-data. (Closes: #576960)
  * [cfecf6a] Let openttd-data conflict with (the non-split) openttd <<
    0.7.5-2.

 -- Matthijs Kooijman <matthijs@stdin.nl>  Thu, 08 Apr 2010 20:58:42 +0200

openttd (1.0.0-1) unstable; urgency=low

  * [30a2162] New upstream release 1.0.0. (Closes: #570104)
  * [102698a] Make openttd-wrapper work with older mktemp versions.

 -- Matthijs Kooijman <matthijs@stdin.nl>  Fri, 02 Apr 2010 23:36:21 +0200

openttd (1.0.0~rc3-2) unstable; urgency=low

  * [279c5ef] Recommend openttd-opengfx and suggest openttd-opensfx.
  * [9330ad7] Update README.Debian concerning music files.
  * [07bde24] Move openttd from contrib to main. (Closes: #560810)

 -- Matthijs Kooijman <matthijs@stdin.nl>  Thu, 18 Mar 2010 13:16:32 +0100

openttd (1.0.0~rc3-1) unstable; urgency=low

  * [412d153] New upstream release 1.0.0~rc3.

 -- Matthijs Kooijman <matthijs@stdin.nl>  Thu, 18 Mar 2010 10:09:33 +0100

openttd (1.0.0~rc2-1) unstable; urgency=low

  * [9c99af4] New upstream release 1.0.0~rc2.

 -- Matthijs Kooijman <matthijs@stdin.nl>  Thu, 04 Mar 2010 12:22:28 +0100

openttd (1.0.0~rc1-1) unstable; urgency=low

  * [fe4eb51] New upstream release 1.0.0~rc1.
  * [6aa2be0] Note that the embedded md5 implementation has a different
    license.
  * [39eb336] Remove lintian override for empty gm directory.

 -- Matthijs Kooijman <matthijs@stdin.nl>  Fri, 19 Feb 2010 13:00:53 +0100

openttd (1.0.0~beta4-1) unstable; urgency=low

  * [6718224] New upstream release 1.0.0~beta4.
  * [7b0fa8d] Remove some more docs that we don't want in the package.
  * [bb9d744] Use liblzo2 instead of an embedded minilzo version.
  * [949c06b] Explicitly disable iconv support.

 -- Matthijs Kooijman <matthijs@stdin.nl>  Fri, 19 Feb 2010 12:59:27 +0100

openttd (0.7.5-4) unstable; urgency=low

  * [174d0b1] Don't use deprecated < in Replaces.

 -- Matthijs Kooijman <matthijs@stdin.nl>  Mon, 15 Feb 2010 00:35:33 +0100

openttd (0.7.5-3) unstable; urgency=low

  * [d12fc5a] Make openttd-data replace openttd (< 0.7.5-2).
    (Closes: #569679)

 -- Matthijs Kooijman <matthijs@stdin.nl>  Sun, 14 Feb 2010 16:56:31 +0100

openttd (0.7.5-2) unstable; urgency=low

  [ Matthijs Kooijman ]
  * [fbab21d] Switch to source format 3.0 (quilt).
  * [85c0c7d] No longer check for (and complain about missing) datafiles
    on installation and upgrades. (Closes: #524651, 562574)
  * [827eb61] Split the architecture independent data into openttd-data.
    (Closes: #492462)
  * [6fbd9c7] Update README.Debian.
  * [76a5148] Support cross compilation. (Closes: #550951)
  * [2005bf8] Simplify the rules file, make debhelper do more stuff.
  * [fc0500e] Remove some configure arguments.
  * [8ca38bb] Explicitly enable or disable all of the dependencies.
  * [e38fb3e] Let the upstream Makefile install documentation.
  * [5954fcf] Update the watch file to the new upstream url scheme.
  * [7249594] Fix typo in copyright file.
  * [660fb61] Bump the Standards-Version to 3.8.4, with no changes
    required.
  * [f94ab89] Move the packaging git repository to git.debian.org.

 -- Jordi Mallach <jordi@debian.org>  Tue, 09 Feb 2010 21:40:24 +0100

openttd (0.7.5-1) unstable; urgency=high

  * [cdcb73a] Imported Upstream version 0.7.5. This release fixes
    CVE-2009-4007.

 -- Matthijs Kooijman <matthijs@stdin.nl>  Thu, 24 Dec 2009 00:55:45 +0100

openttd (0.7.4-1) unstable; urgency=low

  * [a2c297b0] Imported Upstream version 0.7.4
  * [0232a645] Make Debian-specific patches executable.
  * [76be04b] Switch the Debian packaging to git.

 -- Matthijs Kooijman <matthijs@stdin.nl>  Tue, 15 Dec 2009 22:11:52 +0100

openttd (0.7.3-1) unstable; urgency=low

  [ Matthijs Kooijman ]
  * New upstream release
  * Use printf instead of echo -en in openttd-wrapper to make it POSIX
    compatible (Closes: #547758).
  * Remove three patches that are now included in upstream.

 -- Matthijs Kooijman <matthijs@stdin.nl>  Thu, 01 Oct 2009 22:52:59 +0200

openttd (0.7.2-1) unstable; urgency=low

  [ Matthijs Kooijman ]
  * New upstream release
  * Bump Standards-Version to 3.8.3, with no changes required.
  * Clean up the rules file a bit and add some lintian overrides.
  * Explain why openttd is in contrib (Closes: #539381).
  * Add the DM-Upload-Allowed control field.
  * Re-add dpatch infrastructure.
  * Fix the copyright file, since upstream only allows GPLv2, not later
    versions.
  * Add a section to the copyright file on the different license used by the
    "Squirrel" programming language, which is shipped with OpenTTD since
     0.7.0.
  * Backport upstream r17226, which removes the deprecated Encoding entry from
    the .desktop file.
  * Add a wrapper script for openttd, which captures any stderr output and
    displays it when openttd returns an error code (Closes: #533557).
  * Recommend x11-utils, since we use xmessage for displaying errors. Don't
    depend on it, since openttd will still run fine without it, you just won't
    see any errors.
  * Backport upstream r17227 and r17229, which prevents terminal escape codes
    from ending up in the captured error output.
  * Backport upstream r17240, which improves stderr output when files are
    missing or corrupt.

 -- Jordi Mallach <jordi@debian.org>  Fri, 21 Aug 2009 15:27:26 +0200

openttd (0.7.1-1) unstable; urgency=low

  [ Matthijs Kooijman ]
  * New upstream release.
  * Link against libicu to enable right-to-left language support.

 -- Jordi Mallach <jordi@debian.org>  Tue, 09 Jun 2009 21:46:28 +0200

openttd (0.7.0-1) unstable; urgency=low

  [ Matthijs Kooijman ]
  * New upstream release.
  * Remove Debian specific desktop file, upstream provides one now.
  * Add debian/watch file.

  [ Jordi Mallach ]
  * Bump Standards-Version to 3.8.1, with no changes required.
  * Move to debhelper compat 7. Bump Build-Depends accordingly.
  * Use dh_prep.
  * Add "set -e" to config script.

