## openttd 1.0.4

=== debian/changelog ===
openttd (1.0.4-7) squeeze; urgency=high

  * [d2a7867] Fix CVE-2013-6411 (Denial of service using forcefully
    crashed aircrafts). See http://security.openttd.org/en/CVE-2013-6411
    for details.

 -- Matthijs Kooijman <matthijs@stdin.nl>  Fri, 29 Nov 2013 12:11:14 +0100

openttd (1.0.4-6) stable-security; urgency=high

  * [9ca1ffd] Improve patch for CVE-2012-3436.

 -- Matthijs Kooijman <matthijs@stdin.nl>  Tue, 31 Jul 2012 18:00:06 +0200

openttd (1.0.4-5) stable-security; urgency=high

  * Fix several security issues, patches supplied by upstream. See
    http://security.openttd.org for more details.
    - [18c6108] CVE-2012-0049 (Denial of service via slow read attack).
    - [1bd7768] CVE-2012-3436 (Denial of service using ships on half tiles and
      landscaping). (Closes: #683258)

 -- Matthijs Kooijman <matthijs@stdin.nl>  Sun, 29 Jul 2012 14:18:09 +0200

openttd (1.0.4-4) stable-security; urgency=high

  * [a0f8ff8] Fix several security issues, patches supplied by upstream. See
    http://security.debian.org for more details.
    - CVE-2011-3341 (Denial of service via improperly validated commands)
    - CVE-2011-3342 (Buffer overflows in savegame loading)
    - CVE-2011-3343 (Multiple buffer overflows in validation of external data)

 -- Matthijs Kooijman <matthijs@stdin.nl>  Thu, 15 Sep 2011 23:37:43 +0200

openttd (1.0.4-3) unstable; urgency=high

  * [0b3fd35] Make sure the CVE 2010-4168 patch actually applies.

 -- Matthijs Kooijman <matthijs@stdin.nl>  Fri, 19 Nov 2010 09:56:36 +0100

openttd (1.0.4-2) unstable; urgency=high

  * [31f64cb] Add patch for CVE-2010-4168. (Closes: #603752)

 -- Matthijs Kooijman <matthijs@stdin.nl>  Thu, 18 Nov 2010 21:45:54 +0100

openttd (1.0.4-1) unstable; urgency=low

  * [0303577] New upstream release 1.0.4.
  * [ac0e0c9] Build-depend on grfcodec and nforenum, openttd ships grf
    sources now.
  * [ae70a98] Rebuild the grf files instead of using the prebuilt
    versions. (Closes: #595738)

 -- Matthijs Kooijman <matthijs@stdin.nl>  Tue, 14 Sep 2010 18:58:34 +0200

openttd (1.0.3-2) unstable; urgency=low

  * [04a8646] Don't suggest freepats, since timidity recommends it now.
  * [4d36395] Recommend openttd-openmsx.
  * [34c1754] Recommend timidy instead of suggesting it.

 -- Matthijs Kooijman <matthijs@stdin.nl>  Wed, 01 Sep 2010 09:15:26 +0200

openttd (1.0.3-1) unstable; urgency=high

  * [581c91e] New upstream release 1.0.3. This release fixes CVE-2010-2534.
  * [9051ead] Bump standards version to 3.9.1.

 -- Matthijs Kooijman <matthijs@stdin.nl>  Tue, 03 Aug 2010 22:28:49 +0200

openttd (1.0.2-1) unstable; urgency=low

  * [00c4efe] New upstream release 1.0.2.
  * [c7b38fd] Break older openttd versions instead of Conflicting with
    them.
  * [36bd61f] Bump standards version to 3.9.0.

 -- Matthijs Kooijman <matthijs@stdin.nl>  Thu, 01 Jul 2010 08:14:02 +0200

openttd (1.0.1-1) unstable; urgency=high

  * [6efdf17] New upstream release 1.0.1. This release fixes CVE-2010-0401,
    CVE-2010-0402 and CVE-2010-0406.

 -- Matthijs Kooijman <matthijs@stdin.nl>  Sat, 01 May 2010 17:02:36 +0200
