=== debian/rules ===
--- 
+++ 
@@ -32,12 +32,18 @@
 	-rm $(CURDIR)/debian/tmp/usr/share/doc/openttd/changelog.txt
 	-rm $(CURDIR)/debian/tmp/usr/share/doc/openttd/ob*_format.txt
 
+override_dh_auto_build:
+	# Remove the prebuilt grf files, so they get rebuilt from source
+	rm bin/data/*.grf
+	# Make nforenum store its temporary files in the current
+	# directory instead of in $(HOME).
+	make NFORENUM="nforenum -D$(CURDIR)"
+
+override_dh_auto_clean:
+	dh_auto_clean
+	rm -rf $(CURDIR)/.nforenum
+
 # Don't do testing. Because the OpenTTD Makefile always does dependency
 # generation (even on invalid targets), dh_auto_test thinks there is a
 # "test" target, while there isn't.
 override_dh_auto_test:
-
-# Call mrproper. Again, dh_auto_clean thinks there is a distclean
-# target, while there isn't.
-override_dh_auto_clean:
-	[ ! -f Makefile ] || $(MAKE) mrproper
