## openttd 1.1.3

=== debian/changelog ===
openttd (1.1.3-1) unstable; urgency=low

  * [4d74263] New upstream release 1.1.3. Fixes three security issues:
    - CVE-2011-3341 (Denial of service via improperly validated commands)
    - CVE-2011-3342 (Buffer overflows in savegame loading)
    - CVE-2011-3343 (Multiple buffer overflows in validation of external data)

 -- Matthijs Kooijman <matthijs@stdin.nl>  Fri, 16 Sep 2011 15:12:38 +0200

openttd (1.1.2-1) unstable; urgency=low

  * [6a2923c] New upstream release 1.1.2.

 -- Matthijs Kooijman <matthijs@stdin.nl>  Sun, 21 Aug 2011 11:42:13 +0200

openttd (1.1.1-1) unstable; urgency=low

  * [275d525] New upstream release 1.1.1.
  * [e031058] Add support for lzma-compressed savegames.
  * [8658e0f] Recommend openttd-opengfx >= 0.3.2, OpenTTD will not run with
    older versions.
  * [ec059f2] Remove patch for CVE-2010-4168, it was included in 1.0.5.
  * [2fd255d] No longer depend on nforenum.
  * [b43c10f] Bump Standards-Version to 3.9.2, no changes required.

 -- Matthijs Kooijman <matthijs@stdin.nl>  Thu, 04 Aug 2011 23:22:46 +0200
