=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Matthijs Kooijman <matthijs@stdin.nl>
 Uploaders: Jordi Mallach <jordi@debian.org>
 DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 7.0.50), libsdl-dev, zlib1g-dev, libpng-dev, libfreetype6-dev, libfontconfig-dev, libicu-dev, liblzo2-dev
-Standards-Version: 3.8.4
+Build-Depends: debhelper (>= 7.0.50), libsdl-dev, zlib1g-dev, libpng-dev, libfreetype6-dev, libfontconfig-dev, libicu-dev, liblzo2-dev, liblzma-dev, grfcodec (>= 5.1.0)
+Standards-Version: 3.9.2
 Vcs-Browser: http://git.debian.org/?p=collab-maint/openttd.git
 Vcs-Git: git://git.debian.org/collab-maint/openttd.git
 Homepage: http://www.openttd.org/
@@ -13,8 +13,8 @@
 Package: openttd
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, openttd-data (= ${source:Version})
-Recommends: openttd-opengfx, x11-utils
-Suggests: openttd-opensfx, timidity, freepats
+Recommends: openttd-opengfx (>= 0.3.2), openttd-openmsx, timidity, x11-utils
+Suggests: openttd-opensfx
 Description: reimplementation of Transport Tycoon Deluxe with enhancements
  OpenTTD is a reimplementation of the Microprose game "Transport
  Tycoon Deluxe" with lots of new features and enhancements.
@@ -28,7 +28,7 @@
 Architecture: all
 Depends: ${misc:Depends}
 Replaces: openttd (<< 0.7.5-2)
-Conflicts: openttd (<< 0.7.5-2)
+Breaks: openttd (<< 0.7.5-2)
 Description: common data files for the OpenTTD game
  This package contains data files like language files, scripts and some
  auxillary graphics.  It does not include any full graphics or sound sets,
