## openttd 1.1.4

=== debian/changelog ===
openttd (1.1.4-1) unstable; urgency=low

  * [9f68818] New upstream release 1.1.4.
  * [8779d75] Require grfcodec >= 5.1.2.

 -- Matthijs Kooijman <matthijs@stdin.nl>  Tue, 06 Dec 2011 15:01:37 +0100
