=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Matthijs Kooijman <matthijs@stdin.nl>
 Uploaders: Jordi Mallach <jordi@debian.org>
 DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 7.0.50), libsdl-dev, zlib1g-dev, libpng-dev, libfreetype6-dev, libfontconfig-dev, libicu-dev, liblzo2-dev, liblzma-dev, grfcodec (>= 5.1.0)
+Build-Depends: debhelper (>= 7.0.50), libsdl-dev, zlib1g-dev, libpng-dev, libfreetype6-dev, libfontconfig-dev, libicu-dev, liblzo2-dev, liblzma-dev, grfcodec (>= 5.1.2)
 Standards-Version: 3.9.2
 Vcs-Browser: http://git.debian.org/?p=collab-maint/openttd.git
 Vcs-Git: git://git.debian.org/collab-maint/openttd.git
