=== debian/rules ===
--- 
+++ 
@@ -17,20 +17,15 @@
 # to be explicit about the dependencies, in case we're not running in a
 # clean build root.
 override_dh_auto_configure:
-	./configure $(CROSS) --prefix-dir=/usr --install-dir=debian/tmp --without-allegro --with-zlib --with-sdl --with-png --with-freetype --with-fontconfig --with-icu --with-liblzo2 --without-iconv
+	./configure $(CROSS) --prefix-dir=/usr --install-dir=debian/tmp --without-allegro --with-zlib --with-sdl --with-png --with-freetype --with-fontconfig --with-icu --with-liblzo2 --with-liblzma --without-iconv --disable-strip CFLAGS="$(CFLAGS) -g" LDFLAGS="$(LDFLAGS) -Wl,-as-needed"
 
 # Do some extra installation
 override_dh_auto_install:
-	$(MAKE) install
+	$(MAKE) install DO_NOT_INSTALL_CHANGELOG=1 DO_NOT_INSTALL_LICENSE=1
 
 	# Install the wrapper and make it executable
 	install -d debian/openttd/usr/share/games/openttd/
 	install -m755 debian/openttd-wrapper debian/openttd/usr/share/games/openttd/
-
-	# Since 0.7.0, upstream Makefile installs some unwanted stuff.
-	-rm $(CURDIR)/debian/tmp/usr/share/doc/openttd/COPYING
-	-rm $(CURDIR)/debian/tmp/usr/share/doc/openttd/changelog.txt
-	-rm $(CURDIR)/debian/tmp/usr/share/doc/openttd/ob*_format.txt
 
 override_dh_auto_build:
 	# Remove the prebuilt grf files, so they get rebuilt from source
