## openttd 1.1.5

=== debian/changelog ===
openttd (1.1.5-2) unstable; urgency=low

  * [a060ac1] Add openttd-dbg package containing debug symbols.
  * [9ebdb47] Pass $CPPFLAGS from dpkg-buildflags to configure, this fixes
    some missing hardening flags.
    Thanks to Simon Ruderich for providing a patch (Closes: #659194)
  * [0e6d613] Enable verbose builds.
  * [3d8d30d] Bump Standards-Version to 3.9.3, no changes required.
  * [09229b6] Update copyright file to use the new copyright-format-1.0.

 -- Matthijs Kooijman <matthijs@stdin.nl>  Thu, 15 Mar 2012 12:06:03 +0100

openttd (1.1.5-1) unstable; urgency=low

  * [5911954] New upstream release 1.1.5. This fixes CVE-2012-0049.
  * [a3af4b0] Use dpkg-buildflags / buildflags.mk for determining buildflags.
  * [ff1043c] Enable all hardening options (since openttd offers a
    network-listening service that handles untrusted data).
  * [f9fd5bc] Support parallel building (enable using DEB_BUILD_OPTIONS).
  * [00931be] Add fix-make-dry-run.patch to make dh_auto_clean work.
  * [7f36925] Add clean-openttd.32.bmp.patch to completely clean the tree.
  * [6768883] Enable regression testing during package build.
  * [afc862f] Move more arch-indep data files to openttd-data.

 -- Matthijs Kooijman <matthijs@stdin.nl>  Wed, 08 Feb 2012 15:04:51 +0100
