=== debian/control ===
--- 
+++ 
@@ -4,8 +4,10 @@
 Maintainer: Matthijs Kooijman <matthijs@stdin.nl>
 Uploaders: Jordi Mallach <jordi@debian.org>
 DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 7.0.50), libsdl-dev, zlib1g-dev, libpng-dev, libfreetype6-dev, libfontconfig-dev, libicu-dev, liblzo2-dev, liblzma-dev, grfcodec (>= 5.1.2)
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 7.0.50), libsdl-dev, zlib1g-dev, libpng-dev,
+ libfreetype6-dev, libfontconfig-dev, libicu-dev, liblzo2-dev, liblzma-dev,
+ grfcodec (>= 5.1.2), dpkg-dev (>=1.16.1), openttd-opengfx
+Standards-Version: 3.9.3
 Vcs-Browser: http://git.debian.org/?p=collab-maint/openttd.git
 Vcs-Git: git://git.debian.org/collab-maint/openttd.git
 Homepage: http://www.openttd.org/
@@ -24,11 +26,22 @@
  non-free). Alternatively, OpenTTD can use the graphics files from the original
  Transport Tycoon Deluxe game (See README.Debian on how to set this up).
 
+Package: openttd-dbg
+Architecture: any
+Section: debug
+Priority: extra
+Depends: openttd (= ${binary:Version}), ${misc:Depends}
+Description: debugging symbols for openttd
+ OpenTTD is a reimplementation of the Microprose game "Transport
+ Tycoon Deluxe" with lots of new features and enhancements.
+ .
+ This package contains the debugging symbols for openttd.
+
 Package: openttd-data
 Architecture: all
 Depends: ${misc:Depends}
-Replaces: openttd (<< 0.7.5-2)
-Breaks: openttd (<< 0.7.5-2)
+Replaces: openttd (<< 1.1.5-1)
+Breaks: openttd (<< 1.1.5-1)
 Description: common data files for the OpenTTD game
  This package contains data files like language files, scripts and some
  auxillary graphics.  It does not include any full graphics or sound sets,
