=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Makefile to build the openttd debian package.

# Use debhelper default for all targets (but some are overridden below).
%:
	dh --parallel $@

DEB_HOST_GNU_TYPE=$(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE=$(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
CROSS= --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif

# This prevents linking uselessly to libicudata and silences a warning
# in the build process.
DEB_LDFLAGS_MAINT_APPEND="-Wl,-as-needed"

# Enable all hardening options (since openttd offers a network-listening
# service that handles untrusted data).
DEB_BUILD_MAINT_OPTIONS=hardening=+all

# Load buildflags (this uses dpkg-buildflags). Note that we don't export
# them, but instead pass them to ./configure explicitly.
include /usr/share/dpkg/buildflags.mk

# Pass custom options to configure. Since it's not autoconf but a custom
# script, some of the option names are slightly different. We also need
# to be explicit about the dependencies, in case we're not running in a
# clean build root.
override_dh_auto_configure:
	./configure $(CROSS) --prefix-dir=/usr --install-dir=debian/tmp --without-allegro --with-zlib --with-sdl --with-png --with-freetype --with-fontconfig --with-icu --with-liblzo2 --with-liblzma --without-iconv --disable-strip CFLAGS="$(CFLAGS) $(CPPFLAGS)" LDFLAGS="$(LDFLAGS)"

# Do some extra installation
override_dh_auto_install:
	$(MAKE) install DO_NOT_INSTALL_CHANGELOG=1 DO_NOT_INSTALL_LICENSE=1

	# Install the wrapper and make it executable
	install -d debian/openttd/usr/share/games/openttd/
	install -m755 debian/openttd-wrapper debian/openttd/usr/share/games/openttd/

GRF=bin/data/openttd.grf
GRF_BACKUP=debian/openttd.grf

override_dh_auto_build:
	# Remove the prebuilt grf file, to force a rebuild from source
	# (but do keep a backup, so the clean rule can restore it as
	# required by the policy).
	[ -f "$(GRF_BACKUP)" ] || mv "$(GRF)" "$(GRF_BACKUP)"

	# Make nforenum store its temporary files in the current
	# directory instead of in $(HOME). Use dh_auto_build so it
	# handles parallel building automatically.
	dh_auto_build -- NFORENUM="nforenum -D$(CURDIR)" VERBOSE=1

override_dh_auto_clean:
	dh_auto_clean
	rm -rf $(CURDIR)/.nforenum

	[ ! -f "$(GRF_BACKUP)" ] || mv "$(GRF_BACKUP)" "$(GRF)"

# Strip debugging symbols, but retain them in a separate package.
override_dh_strip:
	dh_strip --dbg-package=openttd-dbg
