## openttd 1.1.5-1maemo2

=== debian/changelog ===
openttd (1.1.5-1maemo2) unstable; urgency=low

  * added liblzma-dev to build-dependency 

 -- Holger Nahrstaedt <holgernahrstaedt@gmx.de>  Wed,  4 Apr 2012 04:23:47 -0400

openttd (1.1.5-1maemo1) unstable; urgency=low

  * new upstream release.

 -- Holger Nahrstaedt <holgernahrstaedt@gmx.de>  Tue,  3 Apr 2012 07:21:09 -0400 

openttd (1.0.2-1maemo1) unstable; urgency=low

  * Create absolute /usr/games links instead of relative ones. Fixes PR1.2
    issue where /usr/games is a symlink to /opt/maemo/usr/games.

 -- Javier S. Pedro <maemo@javispedro.com>  Tue, 29 Jun 2010 11:31:57 +0200

openttd (1.0.2-1maemo0) unstable; urgency=low

  * New upstream release.

 -- Javier S. Pedro <maemo@javispedro.com>  Mon, 28 Jun 2010 23:02:59 +0200

openttd (1.0.0-1maemo0) unstable; urgency=low

  * 1.0 upstream release!

 -- Javier S. Pedro <maemo@javispedro.com>  Wed,  7 Apr 2010 19:51:41 +0200

openttd (0.7.4-1maemo3) unstable; urgency=low

  * Rewrote kinetic scrolling algorithm (more testing required).
  * On main viewport, things get activated on mouse up instead of down.
  * Scroll when placing roads and cursor is near screen border. 

 -- Javier S. Pedro <maemo@javispedro.com>  Thu, 24 Dec 2009 19:26:36 +0100

openttd (0.7.4-1maemo2) unstable; urgency=low

  * Diablo builds working again.

 -- Javier S. Pedro <maemo@javispedro.com>  Tue, 22 Dec 2009 23:50:54 +0100

openttd (0.7.4-1maemo1) unstable; urgency=low

  * New upstream release.
  * Depend on openttd-opengfx >= 0.2.0.
  * Fix "Can't autosave" bug in Fremantle.
  * Set hints for non composition in fullscreen mode.

 -- Javier S. Pedro <maemo@javispedro.com>  Tue, 22 Dec 2009 19:59:21 +0100

openttd (0.7.3-1maemo1) unstable; urgency=low

  * New upstream release.
  * Fallback to $HOME if $MYDOCSDIR is not set.
  * Use Ctrl+Return as fullscreen key too.
  * Relayouted some dialogs to fit new lower resolutions. 

 -- Javier S. Pedro <maemo@javispedro.com>  Sun,  1 Nov 2009 18:36:53 +0100

openttd (0.7.2-1maemo5) unstable; urgency=low

  * Implement 2x scaling 

 -- Javier S. Pedro <maemo@javispedro.com>  Wed, 23 Sep 2009 22:49:53 +0200

openttd (0.7.2-1maemo4) unstable; urgency=low

  * Depend on openttd-opengfx instead of opengfx.

 -- Javier S. Pedro <maemo@javispedro.com>  Fri,  4 Sep 2009 16:12:59 +0200

openttd (0.7.2-1maemo3) unstable; urgency=low

  * Update OpenGFX Depends version.
  * Added Bugtracker URL.

 -- Javier S. Pedro <maemo@javispedro.com>  Fri,  4 Sep 2009 03:31:16 +0200

openttd (0.7.2-1maemo2) unstable; urgency=low

  * Fixed empty debug package.
  * debian/rules: don't run configure every time.

 -- Javier S. Pedro <maemo@javispedro.com>  Sun, 30 Aug 2009 20:25:18 +0200

openttd (0.7.2-1maemo1) unstable; urgency=low

  * Removed install-to-card option in Fremantle builds.
  * New version scheme.

 -- Javier S. Pedro <maemo@javispedro.com>  Sun, 30 Aug 2009 03:07:57 +0200

openttd (0.7.1-7) unstable; urgency=low

  * src/window_func.h, src/window.cpp, src/viewport.cpp (quilt: 
    kinetic-scrolling): Make inertia stop when user centers view on something
    else.

 -- Javier S. Pedro <maemo@javispedro.com>  Sun,  2 Aug 2009 01:16:56 +0200

openttd (0.7.1-6) unstable; urgency=low

  * First try at building for Fremantle. 

 -- Javier S. Pedro <maemo@javispedro.com>  Thu, 30 Jul 2009 02:04:43 +0200

openttd (0.7.1-5) unstable; urgency=low

  * Pre-Depending on maemo-installer-utils.
  * Depending on OpenGFX.

 -- Javier S. Pedro <maemo@javispedro.com>  Wed,  1 Jul 2009 18:11:58 +0200

openttd (0.7.1-4) unstable; urgency=low

  * 800x480 is not hardcoded anymore, windowed resolution is (quilt:
    screen-resolution).
  * Second try at kinetic scrolling (quilt: kinetic-scrolling). 
  * Newer way of handling fullscreen button (quilt: keys). 

 -- Javier S. Pedro <maemo@javispedro.com>  Tue, 30 Jun 2009 00:29:30 +0200

openttd (0.7.1-3) unstable; urgency=low

  * First try at kinetic scrolling.
  * Adding quilt build dependency.

 -- Javier S. Pedro <maemo@javispedro.com>  Mon, 29 Jun 2009 11:39:29 +0200

openttd (0.7.1-2) unstable; urgency=low

  * Removing dependency on base64.

 -- Javier S. Pedro <maemo@javispedro.com>  Thu, 25 Jun 2009 12:20:34 +0200

openttd (0.7.0-2) unstable; urgency=low

  * New saved games path: $MYDOCSDIR/.games/OpenTTD/ 

 -- Javier S. Pedro <maemo@javispedro.com>  Sat, 30 May 2009 21:26:50 +0200
