=== debian/control ===
Source: openttd
Section: user/games
Priority: extra
Maintainer: Javier S. Pedro <maemo@javispedro.com>
Build-Depends: debhelper (>= 5), autotools-dev, quilt, sharutils, maemo-version,
 libsdl1.2-dev, libx11-dev, libfontconfig1-dev, x11proto-core-dev, zlib1g-dev, 
 zlib1g, libfreetype6-dev, libpng12-dev, liblzo2-dev, m4, pkg-config, liblzma-dev 
XS-Maemo-Optify: none
Standards-Version: 3.7.2

Package: openttd
Architecture: any
Depends: ${shlibs:Depends}, openttd-opengfx (>= 0.4.3),
 openttd-opensfx (>= 0.2.3), liblsma1
Pre-Depends: openttd-data (= ${source:Version}) 
Description: Clone of Transport Tycoon Deluxe
 OpenTTD is an open source clone of the Microprose game Transport Tycoon Deluxe
 (TTD).
 .
 As president of a start-up transportation company in 1950, you have a 
 choice of building rail, road, air and maritime transportation routes to build
 up your transportation empire. Outsmart your competition by beating them to
 attractive passenger and commodities routes to become the game's
 highest-ranking transport company by the year 2050.
XSBC-Bugtracker: https://garage.maemo.org/tracker/?func=add&group_id=874&atid=3286
XB-Maemo-Display-Name: OpenTTD
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAABHNCSVQICAgIfAhk
 iAAAAAlwSFlzAAALEgAACxIB0t1+/AAAACV0RVh0U29mdHdhcmUATWFjcm9tZWRp
 YSBGaXJld29ya3MgTVggMjAwNId2rM8AAAAWdEVYdENyZWF0aW9uIFRpbWUAMTIv
 MTkvMDQC7VT0AAAR6klEQVR4nL2aeXRV1fXHP+cOb8wcCGQEQkYCOCLOY6kT1rZq
 FYoCFpAqqGhVnCoOxaFSf3Vobe1SW4sDVLQoP7FVUZF5kBASSAhJIAMhZH7znc7v
 j5cE8GdbUOxd66311rp37f35nn323uece5FS8l38lrz1VvZVV13dMm7cuKe+Kx9S
 ShS+g2vThjWJ7/x9+cu76/dmhqLGrOKioknfhR/g+AtoqK32L3r2xRU1Nbu/f+/l
 mZxekJJsKd6/FhUVTj7evuA4Cwj1tHvvX7Bw+a5dNefMvzyT687P5olrR3DSiETF
 Ubx/LioqvPp4+gMQUsrjZUufcsP05RU7qi6Zf9kQJp2bSSBo4XOrtAcMbnp5Nzsa
 AzHFCv+kZnft8uPl9HhFQLth2o1LKyp3XnLnxRlMOieTYMgCIBS1GZzk4oWphRRn
 JbgdzfdmYcHIS4+T3+MjYOr0n71RXlF15dwLB3HD+VkEw3F4IQSKAsGoTVaqi99N
 K6RwaIJX6v4lBSPzLzoevr+1gOk/m7F4W0XV1T8/P40Z38smGLYQCFyagiokLlXg
 1hQCEYth6W6en1bAiAxfgnAlvF2QP+Lcb+v/W+XAjJmzXtn05Y5pM85KZu6leYQi
 FghBMGLy+qe1hCIGST6ds8qyKBuWimE5JHk1avaHmf3Kbhrbw512tHdiXX3Dum/K
 8I0jMHPW7Bc3b6ucdsP4xD54G0eCS1No2N/BmgNJDD7/FlzjZ7O2NQEBCCS9YYui
 TC/PTy0gM82bpnmS3h0xfNip/1UBs39+87Obtu246bpT/Nx5xXDCURtHSoQARQg0
 ISkpGM511/yYaVOuI3fYcCzbASlRFAhEbEbl+HlhagGDUzwZujdp+bC8nBP+KwJ+
 fvMtizZsrZj74xM8zL8yDm87Ereu4tFVorEYDS2dBIIhLNPAME0UaePSFFyaikdX
 8LlUQhGbMbl+nru+gPRkb6bbn7Y8Lze7+Fh5tGN5+JY5cxZu2LL9jomjXDz4o3zC
 MQcAr0tjZ8MBPtjcyN4ehdaAwxkTClEUgaYq7D/Yxa5oIwZu3l67l0Sfi+svLEII
 LyfnJ/LbKSOZ8+favB6RtiInO/Pipub9e46W6aiTeO6ttz60dmP5gglFKguvLSBm
 OgghiJoWf3ivnM1tXkpPu4hTTzud4XnZpKen4vd5cbs97Kmr44Mlr7Jl7SrGXjQJ
 j89PSfhzLj0hlWDYJNGnsnpnN7cvricYMXaFug5c0rT/wN7jJuC2226fv2bjtsfP
 y4enJhdhWg62AwjJk29uptopZPacWzlhzCjcLh1VVXEcB8uykFLicrmJmTZ1dXvI
 GjoE4fLy+csP8MOCMLFYvGck+BRW7ejhjqXNhKNGZU97y8Wtbe3N/4ntP+bAvHnz
 7li7ufzxM4dJnriuENNyMGyJx6Xy0aZ6qiLZ3DX/PsadPBa3S0N3uenqDRKJRBBC
 IIRAVVV0VVBSVIDf7yM5KRGZkEVPdxDFNhCWQagnzAXFbp68cjAet6sseXDWexnp
 qUO/lYA777xzzppN5YvGZdk8PbkIR0oMW6IqgmA4xoeV3Uy8ZgrFRflxY6rO+tUf
 8+6z9/Dhu2+gudwoimDb1s1EDAtFUZBSoimChKEFtHaFcUkLYcVFhHsifL/YxROX
 paDrrpNSh+b8PS05YdA3EnD3XXfN+mLjtufGDjb5zZQiJBCzJALQFEFdczumN4sz
 xp+Kqihououa6mqMyve4JDfInpoawuEoqsvDmmV/5K1n5tPZG0HXdSwzxtARxbQG
 FbQBASbCMogGIlxaorJwgg9Nc5+WkZP/rt+rpxyTgHvuuXvq6o3b/lCSGuO3NxSh
 CjAMC+HYCNtEdUzCwRDJaYNITU2N744cB7fPT+eBZnr31xMKR7EdG8NyKM3P4SLX
 l7z+zP1ELbAti8zsPHqUdKQRRVixuAjbAMsgFojyg1LBoxfoKJrrrNwRpcu8ukg8
 KgH333ff5C82lr+anxDi+etH4hYW0UgUYRsoVtyBNGL4VQdNkSAUQGKaBvnDh5F+
 9gxe2RRBEaBrKiCIRmOUFAymrPdT3lu2BL8/maTUdLo9efQEDRQzhrAPRQHLwAhE
 +XGpw4KzBejuC4YVjX5bCOH7Ku8RfeCB+++76rP1W1/Ldffwwk9H4FMsImEbRTqA
 BCkR0sGyoCDDh6+mkbaOTvJzh4DtEI2EOPvC7zMoZySxUDc4Nqqi0Hawneq2Wi4q
 8PHHDW+yRFdROveQ7zTgVR2wTIQEcEACMt61raDkJ6USw4BHN3omFI8a/ZYQ4hop
 ZbSfeaCM/vKXD078dO2WdzJEu/bHKXmkehXCMTsOTdxg/Bf/73Mp/HPrXmoLZjDr
 5jmEA930V2RN05FILNPE5XJRWVHOP5YtRmncSL7axskjh1CQnQJmBCPSx9JnV0jn
 MD8OCg6qbvFqhZuFWxNQ7ciyXVU7JkkpjQEB99xzz0Vfbq9ckWS1uX9/bSaD/HF4
 IQ+Nen8E+o0LJDoWf1rfTe7kRVzyvYuIhHqwbfvIGEuJ7vZg2lBbv5ctX3xE1xev
 cVVGEyPzMjCNfmA7PlCO0xcJBxy7T4SNolu8tCOZ53amYhuRt1r377+xo6MjLKSU
 XDbxivUH9jePX3pDBvlDdEJBC6Uf+LCp81UBblWAHWFZlYVx6kzOvOwasjPSMWNh
 jFjsCB1CCFRNQ9Pd1DS0sPy5+7la+YiizEQswwbisKJv5JH2QBSQDioWuAzmrR3J
 By2J9B5sntjS0rJCSCkZP/70qWHDevW84Tq/vtSPWyW+VJCHRv3waSSkRBGSzp4Q
 u1t7CUYM0hI91KhFuMoup/iMCRQMz8G2jIFpdfjldrvpCDsse2gyNyauxuNyIZ2v
 wh8pSOg27+8bxCNVw+nsCWxoadp3TTgcbhzIgbFjx84L2/pvLi7U+J+L3ahCYpqH
 T524IIFEV2BZeRdLa3VS8krR03K53P6Ii4sl9S1R1rcIXN+7i8uunYoZjeDyeFE1
 nWgoQL8/f0ISX6xbj3z5Ss7PjeAYEnAQ0j4UaeLPChes3JfGLyoKZTjYu6F+984p
 Uso9R5TR7du3P6M74Ts/qLEid6+MghXDJQ2EaRzWaEywDLBj7G/vZcwVs3hg0e95
 7Kmnac6cQGdTGyPSbM5NbmHnlnWEIzF0l5tlLz3NiqV/ReheFCXuMhwKUDrmJA6k
 ngzRCMKKl+r+eX84/EdNqfxiayHhrmCkYffOu/vhjxAAcO2Vk9/JSUkMLquymP+R
 DbaBLo2+RhMFK4IwI2CGKUuJkqhESU9Nwac6jLvqZlbuTwKji65glHDMxLYdLDT8
 HVWkLpvO3559EEfRQQiklCT6vbiGnYIptX7eI/PGBZ+3pDBvQyFabpgh46S3MKfs
 PiFEwv8T8NyTL+ZtL69YmXpFaPCYafDmdoUHPgPhhNDsEMIMo5hhhBkCI8RQd4Su
 vTsJR2JEI2FKiwtwXf4IH5cHSJYgRF8RAjRd57wCaFv5DBU7d6Nr8fbjOA7SMlAU
 9Wvh17YmMXd9ETIjQslsm5MW+EXOhd5LijNHLxFCeKCvkb364uKhq1at+tAa31A0
 fIrAjqrYYYfXXnfjwuShcQfRbIntSIRjg3DI8FiYB/fQGwgyOMVPJNjN5VdPYnmw
 nc+fm4dzSghFie+EVTNIdR1UBpM43YgiAVVV6eruQe+oQdUdpH0k/Ma2RG5ZW4yZ
 GmH0HJu0Aj+aR1B6rwDhuVT5ouzl7KG589RQV2zkhs1rl9jjG04cPh2cqEBIQcpY
 iWY6/OMTLzHH4ewhB1EsA2kbCMfEIySb9lsMPv1qhqSn4DgO2Aalp5xF75BRZGTl
 UFBcisets+ofH/BOncrYq2/nnDPHo+savoQUNnz+Twr2vkW63X4IXocvOxKYvaaU
 SGKM0bfZDB7tRwiBtEBPBn+uQtsqOSbQHWrUujo7sw4cbC3NyXdQ3Sp2CBCgqCr5
 020c0+J37wxClwZ3jm5E6SsOwgVJRhutzU2MLR6B7tbQdBexcJCJP/ghpmliGjHM
 WJgrbn2CC6IGqQlevB43/sRkKqt3E9vwF4o8B5ABCUocvqLTz+w1JYT8BmVzTQaP
 9SMQIEH1QbQFdi2y6dzf8/yBrpbX1a3lm/f9+rFndgS2add4sxU1sQicWBxSURVS
 TpQoAZv/XZ2CqsL4IYH4xFZgX5ukPfscxo8/g9Url7Hx84/JG30aCT4vtmUMjKrH
 4yYtOZHExCRUTwIb129g77uPc6n4FC3YNQC/q8vHzLWldLksRs01GHKyHyGUAXiz
 CyoXODSs7ljc1FE/TzqyWwPYWV/xflFW2Q27nvIuFpqipJ8hsHrjvUTVVEbeZOPY
 Jos+yMWlSGaXtoAD+UmwsWo7X9a30lW+kqLGJbyzdRnZE2Yz7uwL8fl8SOkghEpb
 Ry/NjQ3s3fQhGU0r+VFCHUqgHdkHX9vjZebaEtpVm7JbDIacchi8F6wAVD7s0PBF
 51vNPfVzpJRB+MqeuDh7zNTETM8rox5URNqpYPb2zUsVLMOm+llJ/Uc695+yj5kl
 +3Gi8FnXIMxBZYxNDjA0Uo4Tsfl4F9SdfS/Xz3sI4Vi8/5fnce/9jCFGAyX6fpLV
 AETtAfj6Xg83rhlFk+NQdkuUzDMTUPrgFQ84YdixwKH+4853GrvrZkgpO/uZj1hO
 VzdX/Lk4a4y+c6HnpVEPKqScyEAkNLdK0Rwb6Zj86pM8NEUyvaiVC7I6QKyFXhNp
 g6JDUTqsadpLKBzB5XLj6arhCvdqkEGwQFoMTJumoJtZ60pptCRlN0fJPMMfh6cP
 PgpVj0kaPul+v7G7btbh8Ef0gQERLRV/6m2Kzan6lU3vDtCS4vkgLdC9KsVzBcPO
 M3lk8zAW12bEW34kDk9f7e81wbRBVQS6ywW2AYEg0gQZr6wIDfaHXMxcW0pdTDDq
 pgiZZ/sHeoLiAmnCzl9J6v7Z9eG+rtoZUsr2r/J+7Zayunn7C717Y3dUPmoT2CXR
 Eg8T4VMpuRVyzrR4cONwltQNBvehxgXgUqE7YtPUEaKxPUDUVkATAwKFBgcjOrPW
 lVAdViidGSbrXD9qP7wej/quhZK6ld2r9nXWTpdSHvg61n97LlScNeaelAL3E6Mf
 UUkYGU+k/tEzei2qnha0blR5+sw6fji8HYz4CJsmfNaVjhg6BuFJIle0UhjZApaN
 0KEjqvGzdaMo79YZNTNE7gQ/qnoIHmDXE5Lav/esbmiv+amUsvFfMf7Hg63SnBMe
 TinSfzn6URVfLljBw0T0WFQ8JejYqvKbs/YwMa8DafRFQ++jEQqYJtJ0EDp0xzRm
 ri9hc4ebkhtD5F3iQ+tbWihavGDsekpSu6x3Q/3B6uuklA3/ju+oTuZKssc+nj7K
 Pb/sUQVPJgPNTugQ67CoeFLQVaHw7Nl7uDinE9nfAg4zLTQImCo3bShh3UEvxVOD
 DLv8ELzQ4gJqFsHupT1b6tqqrz181fmvrqM6nd7VvP3ezp3GM5ULbGJt8aaCjCeZ
 O12j7BeSlNGSOzaN5JPmFISrn5qBaIVMhVs2F7Ou3UfJtMCR8Go8aWt+K6lZ2lNe
 11b906OBP2oBADubyu/o3GG9ULnAweg4TIQBCTkapXMcVI/k9q2FrG5JHhAhVIja
 Crd9WcznbT5LDXcGNNuLN1VHiPh91Q17nofdb/RW1bdVT5ZSVh8t1zG9H9jZtG1O
 Z7n5UuXDDmZ3vEMKV7xWN72hEDrQ9WnMtnbcVl7IutYkhAdituD2L4v4pDWBWGfj
 /I6D3RMbX1PaGv/moKfEbex5EWoWB2sa2vZMklJWHQvTMb8jE0KI0pwTXxk0Tps6
 5jEFzQ9Vj0hql/esbmiv+Ule9tAEf3rOiiSXLHr6xFreaxnM0n2pGF0tDzc3Nz8q
 pbRHDC08IzEl4f2SeXqa2S6o/H2wvr659hpTxrYcE8w3EdAnQi3NOeG1zPNdk/Qk
 2P127/q6A9WT+itGcUF+oSsh7UNNVUeYtk1Px4GFTU1NC6SUZr+NYUPzz0sdnLLC
 iBndtXtqrzLs6IZjBgG+8VciqOil+WP+lJ9dtALI/+r9YXl5paNGj1mRk5v7IOD6
 OhsZ6UNPcGue0d+G41u9ZhVCCCARCMivMSSEcAEOYB3HTxqOuP4PaQ/AJV0sRZQA
 AAAASUVORK5CYII=


Package: openttd-data
Architecture: all
Section: games
Pre-Depends: hildon-application-manager
Recommends: openttd
Description: Clone of Transport Tycoon Deluxe (data files)
 OpenTTD is an open source clone of the Microprose game Transport Tycoon Deluxe
 (TTD).
 .
 As president of a start-up transportation company in 1950, you have a 
 choice of building rail, road, air and maritime transportation routes to build
 up your transportation empire. Outsmart your competition by beating them to
 attractive passenger and commodities routes to become the game's
 highest-ranking transport company by the year 2050.
 .
 This package contains the free game data files.

Package: openttd-dbg
Architecture: any
Section: devel
Depends: openttd (= ${source:Version})
Pre-Depends: openttd-data (= ${source:Version})
Description: Debug symbols for OpenTTD
