## openttd 1.1.5-1maemo3

=== debian/changelog ===
openttd (1.1.5-1maemo3) unstable; urgency=low

  * fixed typo in dependency 

 -- Holger Nahrstaedt <holgernahrstaedt@gmx.de>  Fri,  6 Apr 2012 04:55:53 -0400
