=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 Package: openttd
 Architecture: any
 Depends: ${shlibs:Depends}, openttd-opengfx (>= 0.4.3),
- openttd-opensfx (>= 0.2.3), liblsma1
+ openttd-opensfx (>= 0.2.3), liblzma1
 Pre-Depends: openttd-data (= ${source:Version}) 
 Description: Clone of Transport Tycoon Deluxe
  OpenTTD is an open source clone of the Microprose game Transport Tycoon Deluxe
