## openttd 1.2.0-maemo3

=== debian/changelog ===
openttd (1.2.0-maemo3) unstable; urgency=low

  * fixed control file

 -- Holger Nahrstaedt <holgernahrstaedt@gmx.de>  Sun, 15 Apr 2012 11:17:13 -0400

openttd (1.2.0-maemo2) unstable; urgency=low

  * fixed control file

 -- Holger Nahrstaedt <holgernahrstaedt@gmx.de>  Sun, 15 Apr 2012 10:59:09 -0400

openttd (1.2.0-maemo1) unstable; urgency=low

  * new upstream release

 -- Holger Nahrstaedt <holgernahrstaedt@gmx.de>  Sun, 15 Apr 2012 10:53:20 -0400

openttd (1.2.0rc4-maemo1) unstable; urgency=low

  * new upstream release

 -- Holger Nahrstaedt <holgernahrstaedt@gmx.de>  Mon,  9 Apr 2012 11:47:36 -0400
