=== debian/rules ===
--- 
+++ 
@@ -28,19 +28,20 @@
 M4DEFS=-DMAEMO_MAJOR=$(MAEMO_VERSION)
 
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
-	CFLAGS += -O0
-else ifneq (,$(findstring arm,$(DEB_BUILD_GNU_TYPE)))
-	CFLAGS += -Os
-	ifneq (,$(findstring vfp,$(DEB_BUILD_OPTIONS)))
-		CFLAGS += -march=armv6j -mtune=arm1136jf-s -mfpu=vfp -mfloat-abi=softfp
-	endif
-else # x86
-	CFLAGS += -O2
-	ifeq ($(shell expr "$(MAEMO_VERSION)" "<" 5), 1)
-		# Does not build on gcc 3.3 x86 without this
-		CONFOPTS += --disable-network
-	endif
+  CFLAGS += -O0
+else
+  CFLAGS += -O2
 endif
+
+# Use hardware floating point
+#ifneq (,$(findstring vfp,$(DEB_BUILD_OPTIONS)))
+#  CFLAGS += -mfpu=vfp -mfloat-abi=softfp
+#endif
+
+ifneq (,$(findstring arm,$(DEB_BUILD_GNU_TYPE)))
+   CFLAGS+= -march=armv7-a -mcpu=cortex-a8 -mfpu=neon
+endif
+
 
 ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
 	NUMJOBS := $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
